#include "Tapi.h"

#include <stdio.h>
#include <errno.h>
#include <assert.h>

Tterp* T;
char big[99999];

int source(char* filename)
{
    char* p= big;
    FILE* f= fopen( filename, "r" );
    if (!f) return errno;

    big[0]= '\0';
    while (1) {
	p= big + strlen(big);

	p= fgets( p, sizeof big - (big-p), f );

	if (!p) break;
    }
    fclose(f);

    printf( "<-- %s\n", big );
    p= Teval( T, big );

    if (!p) return 127;

    printf( "--> %s\n", p );
    free(p);

    return 0;
}

int main(int argc, char* argv[])
{
    int e;
    int a;

//    Tverbose= 1;

    T= Tnew();

    for (a= 1; a<argc; a++) {
	e= source( argv[a] );
	if (e) {
	    fprintf( stderr, "ERROR in %s: %d\n", argv[a], e );
	    return e;
	}
    }

    return 0;

}
